package com.ruoyi.ss.timeBill.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 时长订单对象 ss_time_bill
 *
 * @author ruoyi
 * @date 2024-07-24
 */
@Data
public class TimeBill extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @Excel(name = "订单ID")
    @ApiModelProperty("订单ID")
    private Long billId;

    @Excel(name = "订单编号")
    @ApiModelProperty("订单编号")
    private String billNo;

    @Excel(name = "用户ID")
    @ApiModelProperty("用户ID")
    private Long userId;

    @Excel(name = "设备ID")
    @ApiModelProperty("设备ID")
    private Long deviceId;

    @Excel(name = "状态")
    @ApiModelProperty("状态")
    private String status;

    @Excel(name = "订单金额", readConverterExp = "元=")
    @ApiModelProperty("订单金额")
    private BigDecimal amount;

    @Excel(name = "设备起步时长")
    @ApiModelProperty("设备起步时长")
    private Integer deviceStartTime;

    @Excel(name = "设备起步时长单位")
    @ApiModelProperty("设备起步时长单位")
    private String deviceStartUnit;

    @Excel(name = "设备起步价格", readConverterExp = "元=")
    @ApiModelProperty("设备起步价格")
    private BigDecimal deviceStartPrice;

    @Excel(name = "设备超出起步时长")
    @ApiModelProperty("设备超出起步时长")
    private Integer deviceOverTime;

    @Excel(name = "设备超出起步时长单位")
    @ApiModelProperty("设备超出起步时长单位")
    private String deviceOverUnit;

    @Excel(name = "设备超出起步时长价格", readConverterExp = "元=")
    @ApiModelProperty("设备超出起步时长价格")
    private BigDecimal deviceOverPrice;

    @Excel(name = "开始使用的时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("开始使用的时间")
    private LocalDateTime startTime;

    @Excel(name = "结束使用的时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("结束使用的时间")
    private LocalDateTime endTime;

    @Excel(name = "到账人id")
    @ApiModelProperty("到账人id")
    private Long mchId;

    @Excel(name = "到账金额", readConverterExp = "元=")
    @ApiModelProperty("到账金额")
    private BigDecimal arrivalAmount;

    @Excel(name = "服务费", readConverterExp = "元=")
    @ApiModelProperty("服务费")
    private BigDecimal serviceAmount;

    @Excel(name = "支付成功的支付订单ID")
    @ApiModelProperty("支付成功的支付订单ID")
    private Long payId;

    @Excel(name = "设备MAC")
    @ApiModelProperty("设备MAC")
    private String deviceMac;

    @Excel(name = "设备SN")
    @ApiModelProperty("设备SN")
    private String deviceNo;
}
